package jcsi;

import java.io.*;
import java.net.*;
import java.rmi.server.*;
import javax.net.ServerSocketFactory;
import javax.net.ssl.SSLSocket;
import javax.net.ssl.SSLServerSocket;

public class SSLServerSocketFactory 
  implements RMIServerSocketFactory, Serializable
{
  private static ServerSocketFactory defaultFactory
    = javax.net.ssl.SSLServerSocketFactory.getDefault();

  public ServerSocket createServerSocket(int port)
    throws IOException
  {
    ServerSocket serverSocket = defaultFactory.createServerSocket(port);
    
    return serverSocket;
  }
}
